package com.backendsys.enums;

/**
 * 用户积分 操作记录 触发类型 (枚举值)
 */
public enum UserPointActivityType {

    BACKEND("BACKEND", "后台操作"),
    USED("USED", "消耗"),
    BUY("BUY", "购买"),
    GIFT("GIFT", "赠送")
    ;

    private String code;
    private String description;

    public String getCode() {
        return this.code;
    }
    public String getDescription() {
        return this.description;
    }
    UserPointActivityType(String code, String label) {
        this.code = code;
        this.description = label;
    }
}
